package com.qhtx.eta.infra.entity.dw;

import lombok.Data;
import lombok.Getter;

import java.io.Serializable;

/**
 * 对接码管理表(TDampDwLinkInfo)实体类
 *
 * @author makejava
 * @since 2024-10-15 10:20:52
 */
@Data
public class TDampDwLinkInfo implements Serializable {
    private static final long serialVersionUID = 165966114614203272L;
    /**
     * 主键
     */
    private String id;
    /**
     * 对接码类型，1，单表，2双表
     */
    private Integer linkType;
    /**
     * 对接码前缀
     */
    private String linkPrefix;
    /**
     * 信息表id
     */
    private String infoTableId;
    /**
     * 信息表名
     */
    private String infoTableName;
    /**
     * 数据表id，type=2时必填
     */
    private String dataTableId;
    /**
     * 数据表名，type=2时必填
     */
    private String dataTableName;
    /**
     * 是否生成对接码1，生成，0，不生成
     */
    private Integer isGenerate;
    /**
     * 度量字段来源，1信息表，2数据表，type=1默认为1
     */
    private Integer measureFieldSource;
    /**
     * 对接码字段集合，json格式保存
     */
    private String linkFileds;
    /**
     * 初始化版本号，用作乐观锁
     */
    private String initVersion;
    /**
     * 是否启用，1：是，0：否
     */
    private Integer isEnable;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 创建人id
     */
    private String createUserId;
    /**
     * 创建人名称
     */
    private String createUserName;
    /**
     * 分区
     */
    private Integer partitionId;
    /**
     * 1 oracle 2 hbase -1 未知
     */
    private Integer sourceType;

}

