package com.qhtx.eta.infra.enums;

import lombok.Getter;

@Getter
public enum DimTranFieldType {

    TABLE_RELATION(1, "双表关联字段"),

    DIMENSION(2, "维度字段"),

    METRIC(3, "度量字段"),
    DATE(4, "日期字段"),
    MCODE(5, "对接码字段"),
    INDEX_NAME(6, "指标名称字段"),
    ;


    private int value;
    private String desc;

    private DimTranFieldType(int value, String desc) {
        this.desc = desc;
        this.value = value;
    }
}
