package com.qhtx.eta.infra.mapper;

import com.qhtx.eta.infra.entity.dw.TEtaIndexPushTask;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (TEtaIndexPushTask)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-30 13:43:25
 */
public interface TEtaIndexPushTaskDao {


    /**
     * 新增数据
     *
     * @param tEtaIndexPushTask 实例对象
     * @return 影响行数
     */
    void insert(@Param("entity") TEtaIndexPushTask tEtaIndexPushTask);


    /**
     * 修改数据
     *
     * @param tEtaIndexPushTask 实例对象
     * @return 影响行数
     */
    void update(@Param("entity") TEtaIndexPushTask tEtaIndexPushTask);


    List<TEtaIndexPushTask> getAllTask();

    TEtaIndexPushTask getByIndexCode(@Param("indexCode") String indexCode);
}

