package com.qhtx.eta.infra.service;


import com.qhtx.eta.infra.entity.dw.TDampDwIndexData;

import java.util.List;

/**
 * 指标数据表(TDampDwIndexData)表服务接口
 *
 * @author makejava
 * @since 2024-09-29 17:37:18
 */
public interface TDampDwIndexDataService {

    List<TDampDwIndexData> queryAllByLimit(String indexCode, int offset, int limit);

    int countByIndexCode(String indexCode);

    List<TDampDwIndexData> queryByDate(String indexCode, String beginDate, int offset, int limit);

    int countByIndexCodeWithDate(String indexCode, String beginDate);

    void batchInsertIndexData(List<TDampDwIndexData> dwLinkDetailList);
}
