package com.qhtx.eta;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@EnableScheduling
@EnableTransactionManagement
@MapperScan("com.qhtx.eta.**.mapper")
@ComponentScan(basePackages = {"com.qhtx.eta.**.service", "com.qhtx.eta.**", "com.qhtx.eta.infra"})
public class ETAIntegratorApplication {
    public static void main(String[] args) {
        SpringApplication.run(ETAIntegratorApplication.class);
    }
}
