package com.qhtx.eta.common.annotation;

import com.qhtx.eta.common.eunms.ETAApiType;
import com.qhtx.eta.common.eunms.OperatorEnum;

import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface DataOperator {
    Class<?> dataType() default Object.class;

    String[] fields() default {};

    OperatorEnum operator() default OperatorEnum.BATCH;

    ETAApiType apiType();
}
