package com.qhtx.eta.common.eunms;

import lombok.Getter;

@Getter
public enum LimiterType {
    GUAVA_RATE_LIMITER("GuavaRateLimiter"),
    ;
    private String name;

    LimiterType(String name) {
        this.name = name;
    }

    public static LimiterType getByName(String name) {
        for (LimiterType type : LimiterType.values()) {
            if (type.getName().equals(name)) {
                return type;
            }
        }
        return null;
    }
}
