package com.qhtx.eta.domain.api.http.response.eta;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public abstract class ETAHttpResponse<T, R> implements Serializable {
    private static final long serialVersionUID = -7870786351073443255L;
    private String Msg;
    private Integer Ret;
    private String ErrMsg;
    private Integer ErrCode;
    private List<T> Data;

    public abstract List<R> convertDataToDTO();

}
