package com.qhtx.eta.infra.entity.dw;

import com.qhtx.eta.common.constant.ETAConstants;
import lombok.Data;

@Data
public class DWIndexFrame {
    String id;
    String cnName;//中文名
    String enName; //英文名
    String cnDescription; //中文描述
    String enDescription;//英文描述
    Integer sort;//排序
    String pId;//父框架id，默认为0
    Integer hasChild;//是否有子级，0：没有，1：有
    Integer frameLevel;//层级
    String framePath;//上层框架路径
    String frameIdPath;//上层框架id路径
    Integer isDelete = 0;//是否删除，0：否，1：是
    Integer isEnable = 1;//是否启用：0：否，1：是
    Integer createUserId = ETAConstants.INDEX_FRAME_CREATE_UPDATE_USER_ID;//创建人id
    String createUserName = ETAConstants.INDEX_FRAME_CREATE_UPDATE_USER_NAME;//创建人姓名
    Integer updateUserId = ETAConstants.INDEX_FRAME_CREATE_UPDATE_USER_ID;//更新人id
    String updateUserName = ETAConstants.INDEX_FRAME_CREATE_UPDATE_USER_NAME;//更新人名称
    String tableCode;//维表框架唯一code
    Long createTime = System.currentTimeMillis();
    Long updateTime = System.currentTimeMillis();
    Integer indexNum = 0;
    Integer enableIndexNum = 0;
}
