package com.qhtx.eta.infra.entity.dw;

import lombok.Data;
import lombok.Getter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 指标数据表(TDampDwIndexData)实体类
 *
 * @author makejava
 * @since 2024-09-29 17:37:17
 */
@Data
public class TDampDwIndexData {
    /**
     * 主键
     */
    private String id;
    /**
     * 指标id
     */
    private String indexId;
    /**
     * 指标编码
     */
    private String indexCode;
    /**
     * 数据时间
     */
    private Date dataDate;
    /**
     * 发布时间
     */
    private Date publishTime;
    /**
     * 数据值
     */
    private BigDecimal dataValue;
    /**
     * 数据值(非数值类型）
     */
    private String dataValueChar;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否删除，1：是，0：否
     */
    private Integer isDelete;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;
    /**
     * 创建人id
     */
    private Long createUserId;
    /**
     * 创建人名称
     */
    private String createUserName;
    /**
     * 更新人
     */
    private Long updateUserId;
    /**
     * 更新人名字
     */
    private String updateUserName;

    private Date preDataDate;


}

