package com.qhtx.eta.infra.service.impl;

import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.infra.annotation.UseDataSource;
import com.qhtx.eta.infra.entity.dw.TDampDwIndex;
import com.qhtx.eta.infra.mapper.TDampDwIndexDao;
import com.qhtx.eta.infra.service.TDampDwIndexService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 指标表(TDampDwIndex)表服务实现类
 *
 * @author makejava
 * @since 2024-10-15 17:51:49
 */
@Service("tDampDwIndexService")
@UseDataSource(dataSourceType = DataSourceType.DW)
public class TDampDwIndexServiceImpl implements TDampDwIndexService {
    @Resource
    private TDampDwIndexDao tDampDwIndexDao;


    /**
     * 新增数据
     *
     * @param tDampDwIndex 实例对象
     * @return 实例对象
     */
    @Override
    public TDampDwIndex insert(TDampDwIndex tDampDwIndex) {
        this.tDampDwIndexDao.insert(tDampDwIndex);
        return tDampDwIndex;
    }

    @Override
    public List<Long> getIndexSeq(int nums) {
        return tDampDwIndexDao.getIndexSeq(nums);
    }


}
